/**
 *
 *  Copyright 2007 Matt Hogstrom
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.tranql.connector.derby.test;

import org.tranql.connector.derby.ClientXAMCF;

import junit.framework.TestCase;

public class DataSourceAttributeTest extends TestCase {
    private ClientXAMCF cds = null;
    
    public void testCreateDatabase() throws Exception {
        assertEquals(false, cds.getCreateDatabase().booleanValue());
        cds.setCreateDatabase(Boolean.TRUE);
        assertEquals(true, cds.getCreateDatabase().booleanValue());
    }

    protected void setUp() throws Exception {
        cds = new ClientXAMCF();
    }
}
